-- плейлист Pastebin2/ Web http://juanin.co.nf/

 local session = m_simpleTV.WinInet.New("Opera/9.80 (Windows NT 6.1; U; ru) Presto/2.9.168 Version/11.52")
 if session == nil then return end

  --INTERNET_OPTION_CONNECT_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,2,8000,0)
  --INTERNET_OPTION_RECEIVE_TIMEOUT
  m_simpleTV.WinInet.SetOptionInt(session,6,8000,0)
-----------------------------------------------

 m_simpleTV.OSD.ShowMessage("Pastebin" ,0xFF00,5)

local url = 'http://juanin.co.nf/mokolist.m3u'

  local rc,answer=m_simpleTV.WinInet.Get(session,url)
  m_simpleTV.WinInet.Close(session)
 if rc~=200 then
	   m_simpleTV.WinInet.Close(session)
	   m_simpleTV.OSD.ShowMessage("Connection error - " .. rc ,255,5)
	   return
 end
answer=m_simpleTV.Common.string_fromUTF8(answer) 

if not string.match(answer,'EXTM3U') then 
  m_simpleTV.OSD.ShowMessage("Pastebin2",255,10)
 return 
end

 local  tmpName = m_simpleTV.Common.GetTmpName()
 if tmpName==nil then 
		return 
 end 
 
 local tfile = io.open(tmpName,'w+')
 if tfile==nil then 
	os.remove(tmpName)
	return
 end
  
 tfile:write(answer)
 tfile:close() 

  --опции  для загрузки плейлиста 
local p={}
p.TypeSourse = 1
p.DeleteBeforeLoad = 0
p.TypeSkip   = 1
p.TypeFind =   0
p.AutoSearch = 1
p.NumberM3U =  1
p.Find_Group = 1
p.TypeCoding = 0  --  -1-auto  0 - plane text  1- UTF8  2- unicode
p.BorpasFileFormat=0
p.ExtFilter = 'Pastebin2'
p.AutoNumber = 0

local err,add,ref,names = m_simpleTV.Common.LoadPlayList (tmpName,p,0,true,false)
os.remove(tmpName)

if err==true then
     local mess = "Pastebin2"	 
	 m_simpleTV.OSD.ShowMessage(mess,0xFF00,5)
end
 
